﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Parsing;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace PDFByte.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {
            return View();
        }
        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Index(string Generate)
        {
            //Creates a new PDF document.
            PdfDocument document = new PdfDocument(); 
            //Adds a page.
            PdfPage page = document.Pages.Add();
            //Creates PDF graphics for the page.
            PdfGraphics graphics = page.Graphics;
            //Creates a solid brush. 
            PdfBrush brush = new PdfSolidBrush(Color.Black); 
            //Sets the font.
            PdfFont font = new PdfStandardFont(PdfFontFamily.Helvetica, 12); 
            //Draws the text.
            graphics.DrawString("Hello world!", font, brush, new PointF(20, 20));
            //Saves the document.
            MemoryStream stream = new MemoryStream();
            document.Save(stream);

            byte[] pdfByteData = stream.ToArray();

            PdfLoadedDocument ldoc = new PdfLoadedDocument(pdfByteData);
            ldoc.Save("Output.pdf",HttpContext.ApplicationInstance.Response,HttpReadType.Save);

            return View();

        }
    }
}
